%LaTeX
\typeout{$Id$}
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%&delatex
\documentclass[%
	12pt,		% 12pt font size
	headinclude,	% 
	%openany,	% Kapitel können auch auf der linken Seite anfangen.
	a4paper,	% Papierformat
	pointlessnumbers, % entgegen Duden Nr. 21, S. 21 R4 als CI festgelegt
	changebar,      % Änderungsbalken mit \begin/\end{changebar}
	liststotoc,	% Was alles in der Table of Contents stehen soll
	bibtotoc,
	idxtotoc,
	%draft,		% mark overfull hboxes with a thick rule, don't include
	%		% (EPS) files, begin bibliography on a new page
	]{diplomarbeit}
	% noheadsepline

\areaset[20mm]{160mm}{240mm}	% Binderand, Breite und Höhe nutzbarer Bereich
\usepackage{bibgerm}		% Für geralpha.bst. MUSS vor babel stehen
\usepackage{multirow}
\usepackage{float}
\usepackage{eurosym}

\usepackage{color,soul} 		% temporary highlighting.
\usepackage{graphicx}
\usepackage[utf8]{inputenc}	% Latin1 input encoding (umlauts)
%\usepackage{pslatex}
% For english, uncomment the following two lines and comment out the
% two lines below that. Don't forget to 'make clean' when switching 
% between languages.
%\usepackage[german,english]{babel} % Multilingual text, order is important !
%\selectlanguage{english}        % Select default language
\usepackage[german,english]{babel} % Mehrsprachiger Text, Reihenfolge wichtig!
				   % Die zuletzt genannte Sprache wird verwendet!
%  \selectlanguage{english}	% Wähle Standardsprache ...
\usepackage{version}		% handle comments and different versions
				% \begin/end{comment},
				% \include/excludeversion{foo}
\usepackage{longtable}		% \begin{longtable} ... see LaTeX Companion
\usepackage{parskip}		% seperate paragraphs by skip (blank line)
%\usepackage{amsfonts,amsmath,amssymb,array} % choose if needed
%\usepackage{ae,aecompl}	% Benutze 'Almost European' Zeichensatz         
%\usepackage{type1cm}	% Computer Modern type 1 fonts
\usepackage{lmodern}	% Latin Modern nehmen, da mehr Glyphen vorhanden 
\usepackage[T1]{fontenc}	% Verwende T1-Kodierung für Zeichensätze        


\usepackage{changebar}
\usepackage{makeidx}\makeindex

% --------------------------------------------------------------------
% Typ der Arbeit
% --------------------------------------------------------------------
% \arbeitsart{Techreport}
% \techreportident{TR-XXXXXYY}
% \arbeitsart{Studienarbeit}
% \arbeitsart{IDP}
% \arbeitsart{Praktikumsbericht}
% \arbeitsart{Bachelor}
% \arbeitsart{Diplomarbeit}
\arbeitsart{Interdisciplinary Project}

% --------------------------------------------------------------------
% Titel, Autor und sonstige Titelblatt--Angaben:
% \betreuer{}, \band{} und \eingereicht{} setzen die
% Style--Option `datitlepage' voraus!
% --------------------------------------------------------------------
\title{Sensor-less Dual-Axis Solar and Maximum Power Point Tracker}
\author{Makan Tayebi Gholamzadeh}
\authorsaddr{Arcisstraße 21\\
             80333 München}

\betreuer{Dr. Sangyoung Park}
% --------------------------------------------------------------------
% bei externer Diplomarbeit
% --------------------------------------------------------------------
%\ausgefuehrtam{bei BMW}
%%% oder
%\ausgefuehrtam{%
%  am Institut für Werkzeugmaschinen und Betriebswissenschaften\\
%   Technische Universität München}
%%%_optional: \band{Band1}
%%%_optional: \eingereicht{im September 2004}

% --------------------------------------------------------------------
% eigene Definitionen f"ur die Praeambel
% --------------------------------------------------------------------
\input{shorthands}

% --------------------------------------------------------------------
% PDF specials
% --------------------------------------------------------------------
	\pdfcompresslevel=9
        \RequirePackage[pdftex,		
		      %% für die DRUCK-Ausgabe bitte folgende
		      %% Einstellungen verwenden
		       pdfpagelabels=true,
                       bookmarks=true,
                       pagebackref=true,       % Rücklinks im Lit.-verz.
                       linktocpage=true,
                       plainpages=false,
                       hyperfootnotes=false,   % sonst doppelt definiert
                       breaklinks=true,
                       colorlinks=true,
                       linkcolor=black,
                       urlcolor=black,
                       citecolor=black]{hyperref} 
		%% für die .pdf-Datei-Ausgabe bitte diese
		%% Einstellungen verwenden und obige auskommentieren! 
%		       pdfpagelabels=true,
%		       bookmarks=true,
%		       pagebackref=true,	% Rücklinks im Lit.-verz.
%		       linktocpage=true,
%		       plainpages=false,
%		       hyperfootnotes=false,	% sonst doppelt definiert
%		       breaklinks=true,
%		       colorlinks=true,
%		       linkcolor=blue]{hyperref}
	\makeatletter
	\hypersetup{
		pdftitle={\@title},
		pdfauthor={\@author},
		pdfsubject={Diplomarbeit},
		pdfkeywords={keyword1,keyword2},
	}
	\makeatother

% wenn nur einzelne Kapitel gedruckt werden sollen...
%
%\includeonly{meineergebnisse}

% --------------------------------------------------------------------
%%% Hier beginnt das eigentliche LaTeX--Dokument
% --------------------------------------------------------------------
\begin{document}
% --------------------------------------------------------------------
% Titelseite
% --------------------------------------------------------------------
\renewcommand{\thepage}{t\arabic{page}}
\maketitle

% --------------------------------------------------------------------
% Dank 
% --------------------------------------------------------------------
 \pagestyle{empty}
\cleardoublepage 
\setcounter{page}{3}	% Laut VDI Richtlinien
\renewcommand{\thepage}{\roman{page}}
\begin{danksagung}
  Many thanks to Dr. Sangyoung Park for his invaluable supervision and unparalleled patience throughout the project. I'd like to express graditude also towards the staff of the Chair of Real-Time Computer Systems under professor Chakraborty, especially to dear Kurt for his guidance and introduction to the hardware lab.

  München, im September 2017
\end{danksagung}

% Hier könnte eine Widmung stehen!
\begin{Widmung}
% oder auch nicht. ;)
\end{Widmung}

% --------------------------------------------------------------------
% Inhaltsverzeichnis, Abbildungsverzeichnis, Tabellenverzeichnis
% --------------------------------------------------------------------
%\clearpage
\pagestyle{headings}
% Inhaltsverzeichnis soll (nur) in den PDF Bookmarks erscheinen
\pdfbookmark[1]{\contentsname}{toc}
\tableofcontents

\listoffigures
\listoftables
% --------------------------------------------------------------------
% Liste der verwendeten Symbole
% --------------------------------------------------------------------
\phantomsection
\begin{listofsymbols}
\begin{tabbing}
sp	\= symbol-space---- \= \kill \+ \\

RCS	\> Lehrstuhl für Realzeit-Computersysteme \\
\end{tabbing}
\end{listofsymbols}

% --------------------------------------------------------------------
% Abstract (Kurzfassung)
% In Deutsch und Englisch zu verfassen laut Promotionsordnung, zumindest
% bei elektronischer Veröffentlichung.
% --------------------------------------------------------------------
%\pagestyle{empty}
\cleardoublepage 
\begin{abstract}

This is a report on an Interdisciplinary Project in the master of computer science program at TUM. The goal of this project is to implement and test an active dual-axis solar tracker with an MPPT functionality. Our approach includes novelties like combining the Maximum Power Point Tracking and Solar Tracking in a single control algorithm, as well as removing the need to use solar sensors for positioning or knowing the astronomical location of the sun, longitude and latitude of the device, or time of the day or the year.


\end{abstract}

% Man muss erzwingen, dass die Seite mit Nummer 1 rechts ist, sonst
% kommt latex aus dem Tritt, weil ungerade Seiten immer rechts sein
% müssen!
\newpage{\pagestyle{plain}\cleardoublepage}
\rmfamily	% ab jetzt mit Serifen, weil besser lesbar
% Die Seitennumerierung wird hier mit "1" begonnen
\renewcommand{\thepage}{\arabic{page}}
\setcounter{page}{1}

\chapter{Introduction}

Photovoltaic arrays have a non-negligible contribution in the energy market. It is known that a single-axis tracker solar panel increases annual power output around 19 to 25 percent \cite{PIP:PIP442}, compared to a fixed panel \cite{CLIFFORD2004269}\cite{VILELA200345}\cite{SedonaSolarTech}\cite{4150446}\cite{7466720}\cite{aashirwaleed}\cite{Gay_Wilson_Yerkes_1982}.
Applying a two-axis tracking system can improve the annual power output in some geographic locations, because the tracker will receive a 72\% higher radiation than the stationary solar panel \cite{AI20031999}. It is also clear why solar tracking is essential in Concentrator photovoltaics.

A typical photovoltaic cell, has a variable maximum power point (MPP), depending on atmospheric conditions. A MPPT (maximum power point tracking) module to adjust operating point is necessary to maximize the power output at all times. Both the solar tracking and maximum power point tracking (MPPT) are needed to maximize the power generation of a solar cell.

In this work, we try to build a system which can perform MPP tracking and solar tracking at the same time. This is done by only current sensing without additional components such as irradiation and orientation sensors. According to our survey, never before has this approach been followed in order to apply solar tracking and MPP tracking. Furthermore, we believe that because of possible design and cost benefits, it is worthy to look into a possible solution that uses no irridiation sensors whatsoever. The duration of the project, from the idea to testing and reporting has taken roughly a year.
\chapter{Related Work}
The initial idea of the project was indeed different. In my attempt to take advantage of the unique opportunity of an Interdisciplinary Project at a first tier technical university in order to gain some experience around green technologies, I approached with the idea of building part of a concentrated solar power. To be exactly accurate, the section concerning necessary algorithms to calculate the best direction of each mirror in the system. In other words, the orthogonal vector of the mirror should bisect the sun-mirror vector and the mirror-target vector. After the initial meetings, in order to include all research interests and prepare a project with the right amount of workload for the credits, the idea of building a solar tracker that can also perform MPPT was suggested by Dr. Park.

We already know that solar tracking over a single axis increases power output up to around a considerable 20 percent daily, and over two axes up to about 40 percent, compared to a fixed panel \cite{4150446}. Depending on the geographical location, the effect of adding a second axis is variable. The further away from the equator, the more necessary the second axis becomes. According to \cite{facingthesun2009}, Titan Tracker claims that they have gained a 45\% increase in power output, at 40 degrees north latitude. This is due to the fact that more radical latitudes experience higher seasonal changes with respect to the position of sun in the sky. The effect of a single axis tracking system on the annual output can be as low as 12\% at the equator and as high is 143\% in the Arctic.  \cite{CHANG20091530}
But a two axis solution is not the only compensation for seasonal changes. Mecasolar has introduced a manual adjustment from 25 to 35 degrees of the tilt on the polar axis to cope with this \cite{facingthesun2009}. But in general, single-axis systems are more suitable for equatorial regions \cite{CLIFFORD2004269}. In general, it should be noted that installing a tracking system is not justified in all geographical sites \cite{7059758}.

In reality, fixating solar panels might perform even worse in the grid than in practical measurements. This is because in some cases, the arrays might be offset from the normal East-West axis to favor morning or evening output \cite{bestpractices2014} which reduces the total generated power throughout the day.

In our design, we try to demonstrate that using a single microcontroller is enough to keep a solar cell at its highest efficiency. In this project, no sensors are actually needed to follow the source of light. Instead, we are able to search objectively for the most powerful source of sunlight, just according to the power output of the panel. And as it has been done in the past, we already know that the MPPT is possible through a processing unit.\cite{SUMATHI2017130}

I reviewed 41 projects \cite{SUMATHI2017130}
\cite{4150446}
\cite{4367673}
\cite{facingthesun2009}
\cite{5771713}
\cite{6176009}
\cite{lowpower2011}
\cite{6719992}
\cite{6780150}
\cite{7059758}
\cite{7510065}
\cite{7301193}
\cite{7409546}
\cite{7158920}
\cite{dualaxis2016barsoum}
\cite{7755250}
\cite{AWAY2017175}
\cite{7915899}
in each of which a distinct active solar tracker system is built / studied.

From the literature, an article reports the construction of a two axis solar tracker, in which the authors use two DC motors for the two axis.
They implemented a Proportional Integral Derivative controller, and at the time of the paper, they had a Fuzzy Logic Controller (FLC) system in mind for future work. Four photovoltaic generators are used as the sensors. 
They are used in pairs of two. In each pair, they have a 90$^{\circ}$ angle among each other, and 45$^{\circ}$ to the main PV cell array. When each of the sensors in pair, report the same irradiance, the related axis has the correct position. So there are four sensors in general. \cite{4150446}

In another article, a small solar panel constructed using Arduino, C programming language, LDR, and Servo motors is presented. The performance is analyzed and compared to a stationary equivalent system. They have as well used sensors. In the end the difference of accumulated power output over one day is not mentioned by numbers. In this system no MPPT is included and all measurements take place based on constant loads. \cite{6719992}

Single axis solar tracker and a stepper motor, based on the idea of turning the stepper motor on, on regular intervals of half an hour. They claim to gain advantages over previous systems in which the stepper motor is always working. They don’t use a sensor, instead use a clock and a schedule to calculate the position of the sun at each interval during the day. The same algorithm keeps the motor shut during the night and activates it at dawn.\cite{7510065}

Dual-axis tracking prototype that uses a Light Depending Resistor (LDR) as the sensor to detect the sun light. Unlike this system which uses 4 LDR sensors to adjust the panel to be perpendicular to the sun, our system uses no extra input except the solar panels main power output and performance which is a more efficient and objective approach.\cite{dualaxis2016barsoum}

We can say that as far as we know the previous systems are either using a time schedule on a calculated astronomical table, or use sensors to locate the most resourceful direction.

In some cases, the system is hybrid \cite{YAO201488} 
\cite{Zhang2013}
\cite{7503373}. For example, after positioning the solar panel according to the schedule, the system turns to sensors to optimize and ‘search locally’, or in another case, using the sensor based movement only when the weather is sunny enough.
There are also passive solar trackers that are supposed to reduce maintenance costs and daily energy consumption of the tracking system itself. They do that by replacing the servos / motors by a “a low boiling point compressed fluid to move the system” \cite{facingthesun2009}. They are not supposed to consume any energy. But according to the same article, the precision of the system will be reduced.
\section{Idea}
Back to active solar trackers: Since astronomy makes it possible to calculate the direction of the sun at any given time at any location on earth, a question arises: Why bother ‘finding’ the best direction the sensor-less way, when we already know it? Calculating the solar elevation (zenithal angle) and azimuth angle is undoubtedly easier and cheaper. However, when taking the scheduled approach, the mechanical design must include a closed-loop control system. The approach is essentially blind to the radiation. Instead, the system knows the degrees at which the sun should be. Following such a solution requires motors with closed loop control system. Otherwise we would have to deal with error accumulation problem. But it is possible to drop this requirement. To that end, any tracker that is not aware of its azimuth and zenith locations is preferred. So instead of positioning the panel at a certain angle, we position it a little bit to the left, right, up or down as we see fit. Using an open loop mechanical platform has the potential to reduce costs. While considering open loop systems, it is arguably cheaper not to use sensors on each panel, but to track, learn, and predict where the sun is going to be, based on the power output of the panel. Inverters can be stationed at a submodule \cite{6642379} level. So MPPT can happen at each panel, and it has considerable advantages.\cite{6303233} \cite{6775325} Such a configuration of MPPT allows our system to evaluate the power output of each panel in the array separately. As a result, sensorless tracking becomes a serious option on the table.

Additionally, when it comes to deploying amateur charger stations around the world, the balance starts to shift in the favor of sensorless tracking. For a scheduled based system to work, each deployment has to be set differently, and time has to be known within the system all the time, and that can leave serious hindering impacts on the business model, implementation and cost of the products in general. Besides, when it comes to smaller boats, vehicles, hikers, and so on, it is certainly energy consuming and limiting to track the time and location in real time. In that sense, getting rid of a GPS and clock, could actually reduce the costs. And with no doubt, it is a step towards modularity and independence of the solar charger unit as a part of any larger system. With comparison to sensor based trackers, from the beginning, we can say that our system introduces more software complexity, while at the same time it adds objectivity and reduces hardware cost.

From the arguments above, one can say it is worthy to look into this approach, assuming we can reach comparable performances with our sensorless tracking.

\chapter{Sensor-less Dual-Axis Solar and Maximum Power Point Tracker}
\section{Overview}
Solar tracking can be viewed as the repetitive task of aligning the PV cells towards the new source of light. Such a function could be triggered either by a timer that goes off periodically, or by events. A timer-based optimization would trigger the alignment regularly, regardless of the events. An event-based approach means that the alignment function can be triggered for example in the case of an increase or decrease in power output, or both. Each strategy has certain advantages and drawbacks at certain conditions. The search space of the optimization problem includes three dimensions: The 360 degrees of rotation about the vertical axis, called the azimuthal angle, 90 degrees of rotation about the horizontal axis, called the polar angle, (Or instead, 180 degrees about both axes.) and the voltage output of the solar cell. It is immediately visible that this is an optimization problem, and the reward function looks like this:

%    \sqrt{\frac{\int_1^2 \vec a d\vec a}{\pi \sqrt{x}}}

\begin{center}
  \begin{math}
P = f(\theta, \varphi, V)
  \end{math}
\end{center}
\begin{center}
  \begin{math}
P: power, \varphi: azimuth angle, \theta: polar angle, V: Electric \quad potential \quad of \quad the \quad output.
  \end{math}
\end{center}

Rotation model of the solar panel follows the spherical coordinate system, except that we don not care about or use the radial distance, since the only thing that matters is the direction of the solar panel.

\section{Hardware Configuration}
The modules of the system are depicted in Figure \ref{fig:sys-arch}. Processor unit senses the power output of the system and finds the MPP on I-V curve, and adjusts the direction of panel via the motors. Motors spin the solar cell, and solar cell provides its output to the MPPT module, where the output voltage and current are adjusted. A battery or external power source provides the necessary power for processor and motors.
\begin{figure}
  	\centering
	\includegraphics[height=6.1cm]{./images/system-modules.png}
  	\caption{The architecture of the system}
	\label{fig:sys-arch}
\end{figure}

\begin{figure}
  	\centering
	\includegraphics[height=6cm]{./images/mod-env-stack.png}
  	\caption{Module Environment Stack}
	\label{fig:mod-env-stack}
\end{figure}

The device had to be designed with regard to the available items on the market, in a way that expenses are kept within a reasonable price range. In this piece of engineering work, in no way can the task of finding components and designing be separated.
As it is visualized in Figure \ref{fig:mod-env-stack}, our solar tracker design includes a closed loop control algorithm. It evaluates the power output of the system and acts accordingly. And interestingly enough, that removed the need for an accurate and closed loop motor module like stepper-motors. 

Whether we are designing the MPPT module or the Solar Tracking module, our mind set is that we tend to keep the current state until a change happens. We also try to respond as necessary and proportional to the change. With bigger changes we want to move quickly and adopt fast, but we keep in mind that it is crucial that with each small change we should not move the system out of its close-to-optimal state. Since we don not use any light sensors or scheduling data, our approach to solving these problems is determinative.
\subsection{Pan-tilt component}
We believe that with the right installation, half of the search space for the device can be removed. So the device does not need 360, but 180 degrees of azimuth angle for optimum power output throughout the year. That is why the chosen pan-tilt skeleton with around 200 degrees azimuth, and more than 90 degrees polar angle is a viable option. Two SG90 servo motors are easily mounted and used with this platform. The exact details of the panel can be found in the Appendix  \ref{appendix:itemlist}.

\begin{figure}
  	\centering
	\includegraphics[height=6cm]{./images/pan-tilt}
  	\caption{Pan Tilt Component - source: aliexpress.com}
	\label{fig:pan-tilt}
\end{figure}
%\section{Hardware implementation}
\subsection{Housing}
An insulator like wood is chosen as the bed for the rest of the components. Two horizontal wooden beams at two ends of the bed, underneath it, help to have a free space under the bead for some bolts and other possible connections. The panel that the solar cell is connected to, tips around 4 centimeters out of the main bed, in order to have more freedom in terms of degrees. The range of freedom that we have managed to secure for the panel is 90 vertical degrees.

\begin{figure}
  	\centering
	\includegraphics[height=12cm]{./images/device-top}
  	\caption{Complete device from the top}
	\label{fig:device-top}
\end{figure}

The dimensions of the main body of the device without the rotating platform are around 28 cm x 9 cm x 6 cm. The platform and the installed solar cell need around 25 cm x 18 cm x 15 cm of space .

In order to connect components together, mostly screws and bolts were used, in order to be ready for any design changes. Only in the case of the too small Potentiometer it seemed dangerous to drill the SMD circuit for screws, and that is where Cable Ties came into use. In the case of the solar cell, it is obviously preferable not to cover any parts of the surface. In that case adhesive glue was used on the other side of the solar cell.

\begin{figure}
  	\centering
	\includegraphics[height=9cm]{./images/device-side}
  	\caption{Complete device from the side}
	\label{fig:device-side}
\end{figure}

\subsection{Servos and Servo Driver}
Two servos are used in the dual axis platform. Both are controlled via a commercial servo driver via pulse width modulation. The servo driver is connected to the Arduino and controlled via SPI bus. Online guides and tutorials helped a lot with the setup \cite{adafruitdriver}.

\begin{figure}
  	\centering
	\includegraphics[height=5cm]{./images/servo-driver}
  	\caption{Servo Driver. Source: Amazon.com}
	\label{fig:servo-driver}
\end{figure}

\begin{figure}
  	\centering
	\includegraphics[height=5cm]{./images/servo-motor}
  	\caption{Servo motor. Source: Amazon.com}
	\label{fig:servo-motor}
\end{figure}

Since the servos need a stronger power source than the Arduino, and they happen to operate on 5V voltage, A commercial micro USB charger is used to supply them.  To connect the charger to the servo driver, we strip the outer coating, and use the RED and BLACK wires, and connect them respectively to V+ and GND. The two other wires are for data transfer and we don’t need them \cite{powerwithusb}.

\begin{figure}
  	\centering
	\includegraphics[height=5cm]{./images/usb-wire}
  	\caption{USB wire opened. Source: instructables.com}
	\label{fig:usb-wire}
\end{figure}

\subsection{MPPT Component}
A digital potentiometer in parallel with a normal resistor, and possibly in series with another resistor gives us the freedom we need to impose a desirable load on the solar cells. 
The necessary circuitry to impose desired working condition to the solar panel, is a key component in the system. We can adjust the impedance via a processor, possibly with a PWM or an Analog output. It gives us the freedom and flexibility to adopt or develop a MPPT algorithm of our choice. Due to our architecture and circuitry, we cannot implement the Constant voltage strategy, since it needs to halt the normal routine periodically, and measure the Open Circuit voltage of the solar panel. But it seems that our design has the potential to implement or simulate other studied strategies presented in previous literature \cite{6304652} \cite{SUMATHI2017130}. As it will be more in detail elaborated in the implementation section, current sweep and a variant of perturb and observe were implemented.

The most basic consideration when shopping for resistors, was the heat dissipation issue. Considering that the accumulative output of chosen solar cells is less than 2 Watts, one of the most affordable resistor sets online proved to be more than enough with the potential to dissipate 10Watts for every five Ohms.

\begin{figure}
  	\centering
	\includegraphics[height=3cm]{./images/resis-arrangement}
  	\caption{Arrangement of resistors and potentiometer}
	\label{fig:resis-arrangement}
\end{figure}

Digital potentiometer AD5160 from Analog devices is used \cite{ad5160}.  It comes in a compact SOT-23-8 (2.9 mm x 3 mm) package and that is why a SOT23-8 0,65 mm Pitch adapter is used so that jumper wires in our prototype can connect to it.  Along side the potentiometer, fixed value resistances are used. Because of appropriate pricing, and since in the beginning we tried to mind the heat dissipation as much as possible, we purchased ten 5 \begin{math}\Omega\end{math} ceramic resistances, each with a 10W dissipation ability. But since later it proved that the power output is much less throughout the project two normal lab 100 \begin{math}\Omega\end{math} resistors were added in series.

\begin{figure}
  	\centering
	\includegraphics[height=5cm]{./images/ceramic-res}
  	\caption{10W Ceramic resistor. Source: Amazon.com}
	\label{fig:ceramic-res}
\end{figure}

As mentioned before, a digital potentiometer is used to enhance the load that is applied to the solar panel. In combination with parallel and series resistors, we can adjust the range and offset of the load (resistance). In order to find the mentioned range, an experiment under the sunlight and under the solar emulator’s light was driven. In total there are three settings that the experiments were ran on: under direct sunlight, under cloudy sky, and in front of the solar emulator. The outdoor tests were ran at 48.148’N, 11.567’E, at 15:00, 3rd July 2017.

\begin{figure}
  	\centering
	\includegraphics[height=5cm]{./images/emulator}
  	\caption{Solar emulator. Source: ebay.com}
	\label{fig:emulator}
\end{figure}

In order to make sure that during the tests and measurement and calibration, the solar cell(s) are exactly directed towards the sun, a temporary perpendicular object was installed on the panel as well, which has a shadow, if it is not parallel to the light rays. So minimalizing the shadow of the perpendicular object, is a good measure to make sure if the solar panel is at its best direction for the test at hand.
Temperature, moving sun, and the up heating solar cell and resistors under the sunlight and minor errors in locating the sun, all introduce perturbation to the output. Altogether they explain the deviations from the famous photovoltaic solar cell I-V curve. But in general, the tests reveal where roughly the current has started to decline dramatically. And that is where we should focus our load values and sample the power output. 

Under direct sunlight and also exposed to the emulator from a certain distance of around 20 centimeters, loads equivalent to 80 \begin{math}\Omega\end{math} to 85 \begin{math}\Omega\end{math} proved to provide the highest power. So the parallel resistance of 90 \begin{math}\Omega\end{math} is coupled with the potentiometer with the range of 70 \begin{math}\Omega\end{math} to 5 k\begin{math}\Omega\end{math}. The exact data points of these tests are available at Appendix \ref{appendix:calibration}.

\begin{figure}
  	\centering
	\includegraphics[height=7cm]{./images/calibration-sunlight}
  	\caption{Data point samples from the I-V Curve under sunlight}
	\label{fig:calibration-sunlight}
\end{figure}

\begin{figure}
  	\centering
	\includegraphics[height=7cm]{./images/calibration-cloudy}
  	\caption{Data point samples from the I-V Curve under cloudy weather}
	\label{fig:calibration-cloudy}
\end{figure}

\begin{figure}
  	\centering
	\includegraphics[height=7cm]{./images/calibration-emulator}
  	\caption{Data point samples from the I-V Curve under solar emulator}
	\label{fig:calibration-emulator}
\end{figure}

\section{Tracking Algorithms}
\subsection{Solar Tracker Module}

The solar tracker makes sure that the solar panel is aligned with the best possible angle all the time. To that end, two servomotors yaw and pitch the panel, giving it two degrees of freedom. With the typical deployment of the device, one servomotor changes the Azimuth angle, and the other changes the Altitude of the solar panel. A controlling algorithm gives the instructions to the device to turn. The creative algorithm for solar tracking is somewhat similar to the gradient descend.

Before diving into the description of our searching algorithm, we discuss the calibration of the rotating platform. By sending a number via PWM to the servo driver, we can determine the direction of the platform on one axis. The twist of the matter is that this number does not represent the direction in degrees. We assumed that however, this number is a linear transformation of the actual degree. With such an assumption, we ran a set of calibrating tests for each axis. We sent desired values and changed them until the platform is directed towards a certain degree, (e.g. 90 degrees) then we built the mapping from the data points to the degrees, and we solved our linear equations. Using more data points, it was proved that the linearity of the transformation is a good and accurate (to the degree) assumption. After this process, we hardcode the transformation function in the software, and moved on to the next steps.

Since the system does not use any input data concerning the location of the sun, the only approach to actually finding the optimum direction is trial and error. 
In the beginning random search algorithm was built while the device and other modules of the code were being completed. This helped to have a basic and primitive version of a tracker that more or less works and helps to build the other parts of the system and the code. In the next iteration of the coding, better ideas were implemented. The initial idea was to follow the gradient descend approach which is famous to be efficient when tackling this sort of problems. In this case however, we have no sense of the slope of the problem space. Normally the gradient descend is possible when the target function is differentiable. In this case, at best we have a few sample points of the radiation function. The device does not have a map of where radiation is higher or lower, and it does not know turning in which direction can be useful.
In other words gradient of the hill is unknown. Therefore two options come into mind.

First Idea is trying different points in space and maybe reconstructing a fitting plane. It is possible to iteratively smoothen the fitting plane and reduce the errors, and try to approach the predicted optimum, using gradient descend on that made-up plane. This is more difficult to implement, more expensive to compute, and it is prone to errors since we want to predict a model. At the same time it would be the methodological and conventional approach.

The second idea sides with simplicity. The device tries a few points around it, and turns to the best point around found, and continues the search from there, and repeat until an ending condition is met. In other words, the solar panel turns to a desired number of different locations around the current point of the panel, and measure the performance at each of the points, and picks the best.
\begin{figure}
  	\centering
	\includegraphics[height=16cm]{./images/solar-tracker-algorithm}
  	\caption{Flowchart of the Solar tracking algorithm}
	\label{fig:solar-tracker-algorithm}
\end{figure}

How wide these   \begin{math}$n$\end{math} points at each iteration would be from each other? In the first iteration of the search it depends on the triggering policy. If the search is triggered by a timer, we suggest a very local search to take place. This decision is made due to the fact that the sun moves slowly. If the search is triggered by the change in output, the wideness of the search depends on the amount of change. If we see a sudden change, that means that either the platform has moved, the light source has moved, or in any case, we must react to adopt quickly to a big change. So it makes sense to start looking around widely. But if the change has been very small, like when half an hour has passed and the sun has slightly moved in the sky, we don’t need to mess with the current rather-good voltage of output. So it makes sense to take a smaller step around, and look for small improvements.



In the next iterations of the search it depends on the voltage change of best point at current iteration w.r.t the best point of the previous iteration. In this manner, if we have seen a big improvement in the last step, either platform has been far from the correct angle or the device has just started, etc. In any case, it means that the next step should be courageous and wide. But as time passes we want to sum up the search and focus around the best local optimum we have found. Since the ‘looking around’ includes the best point of the last iteration, we can only improve. And when we only improve, we would finally reach a point of time where improvement gets difficult. That’s where the next steps of the algorithm get smaller and smaller, because they depend on the change / improvement.
In early implementations the stop condition was when the improvement of the best point in one iteration over the other is less than a threshold, namely 2\%, and points to look around at each iteration were nine, including the current best. (like the figure \ref{fig:search-9-points}). But tests showed that the algorithm is too meticulous and perfectionist, and that costs us time and energy. That’s why in further editions we reduced the number of look ups at each iteration to five, including the current best.

\begin{figure}
  	\centering
	\includegraphics[height=5cm]{./images/search-9-points}
  	\caption{Lookups at each search iteration, 9 Point configuration.}
	\label{fig:search-9-points}
\end{figure}

\begin{figure}
  	\centering
	\includegraphics[height=5cm]{./images/search-5-points}
  	\caption{Lookups at each search iteration, 5 Point configuration}
	\label{fig:search-5-points}
\end{figure}

We initially thought of another stop condition: a number of consecutive lookups that bear no improvement for us. But that would not help anything since the initial algorithm automatically does that: if the improvement is less than 2\%, exit.

So the best way to help the algorithm to reach optimum point faster, is adding a damping factor. At each iteration, we multiply the wideness of search by the damping factor to the power of the iteration number. For example if the damping factor is 0.9, the initial wideness of the search in terms of angle will be the 

\begin{center}
  \begin{math}
width * 0.9
  \end{math}
\end{center}

And the second round it would be 

\begin{center}
  \begin{math}
width * 0.9 * 0.9
  \end{math}
\end{center}
And so on. In this way, we make sure that very quickly steps of iterations get shorter and shorter.

It should be noted that the possible directions for the platform to turn to is limited, and if during any steps of search, a lookup is calculated to be outside of the possible scope, it will be trimmed to the closest possible value at the very end.

\subsection{MPP Tracker Module}
Initially an algorithm similar to the current sweep method was implemented. Using our potentiometer, we take on different load values. As a result, by sweeping all possible values for the load / resistance, we are doing essentially the same thing as current sweep. Unlike \cite{1406864}  we did not periodically trigger the sweeping algorithm. Our MPP and Solar tracking are integrated into one single strategy, and both happen when the power output changes.

After considering the drawbacks of the sweeping strategy, a more reliable working  idea was formed and implemented, so that the power output is not too much tampered with. The algorithm is quickly identifiable as an example of perturb and observe, and hill climbing.

\begin{figure}
  	\centering
	\includegraphics[height=16cm]{./images/MPPT-algorithm}
  	\caption{Flowchart of the MPP tracking algorithm}
	\label{fig:MPPT-algorithm}
\end{figure}

Basically, this algorithm tries to walk towards higher or lower loads first. As long as the power output is improving along the way, it continues in that direction. When situation deteriorated more than a threshold, the algorithm walks in the other direction. If another deterioration happens, that means we have found the peak. In case of MPPT, we know that there is only one maximum, and there are no other local maximums. So this algorithm should be correct. A nice advantage of this algorithm is that once it finds the optimum point, it would not let the performance fall below the threshold. And the threshold is there to make sure small errors in measurement or short performance variations would not stop the algorithm from climbing.
\subsection{Controlling module}

The control module makes sure that user's wishes are carried out. Using the code in this module, we can order the device to perform a desired operation. In the current version, user can use the computer to send the commands via a USB to the Arduino. Arduinos original IDE provides the necessary terminal to send strings via serial communication. On the other end of communication, the Arduino itself and the compiled code are receiving, parsing and performing the commands. We devised a 10 bit long string space in the code, so that the user can send convenient real time commands like “stats”, “track”, “halt”, etc. Each of those mean to report the current status of power and voltage, start the MPP and Solar tracking, and halt the tracking, respectively. The software reads the commands and executes them. Commands also include micromanagement orders like rotate, and set potentiometer value.

We used the C++ language to code with Arduino. It is possible to exploit the object oriented features of the language, as we did. However, Arduino has made a unique template for itself in the language. There is a main file where execution starts. In that file, two functions called the \begin{math}loop()\end{math} and \begin{math}setup()\end{math}  are provided to the developer. \begin{math}setup()\end{math} is executed once in the beginning when the Arduino device is restarted, and the other one will be repeatedly called forever. This is where most of the control module is located.

The code is composed of five classes. \begin{math}Config\end{math} class provides access to hardware configurations and measurements. If any configuration in the hardware is altered, for example arrangement of resistors is changed, changes need to be reflected here, because the total resistance will be calculated here. \begin{math}Config\end{math} is included everywhere and when C++ derivatives controlling the mode of execution are needed, they are defined in this class. 

The code is composed of five classes. \begin{math}Config\end{math} class provides access to hardware configurations and measurements. If any configuration in the hardware is altered, for example arrangement of resistors is changed, changes need to be reflected here, because the total resistance will be calculated here. \begin{math}Config\end{math} is included everywhere and when C++ derivatives controlling the mode of execution are needed, they are defined in this class. 

\begin{math}Platform\end{math} class manages the affairs of the rotating platform. Functions like rotation to a destination, or just some degrees to some direction are available here. Most importantly the search function for the optimum direction is located here.  \begin{math}Point\end{math} is a class to help the OO structure of the code that encompasses the coordination and related voltage of the coordination. It is intensively used by the class \begin{math}Platform\end{math}. \begin{math}Potentiometer\end{math} is obviously there to contain functions like the optimization of load, and setting and getting the value of the actual potentiometer. The \begin{math}Utility\end{math} class is a helper class containing math- and string-related computation functions that are used throughout the whole program, as well as communication functions to the operator via the terminal.

One of communication functions implemented in the \begin{math}Utility\end{math} class is used in the testing mechanism of the system. When the \begin{math}PERFORMANCE\_TEST\end{math} derivative is defined, the \begin{math}printVoltage()\end{math} function (that is called throughout the optimization and monitoring activities) prints the current Voltage along with a timestamp. Picking the trail of all the voltages and copying into a CSV file, and subtracting the offset of the initial timestamp from all samples, we were able to easily draw the performance diagrams that follow.

\section{Challenges}
\subsection{Understanding MPPT}

Learning the concept of implied load by a DC-DC converter was not as effortless as it might sound. During the design phase of the device, multiple industrial and amateur MPPT designs were looked at. Even though the system was built as a proof of concept at the end, and a resistor component was used instead of a battery charger, the concept and functionality of DC-DC converters in mainstream MPPT modules had to be understood. Slowly and patiently, by consulting with dear Sangyoung and with the help of the Stackexchange Electronics community \cite{stackexchangePWM} it came clear that DC-DC converters have the potential to single handedly set up the desired load for the solar array. Understanding this crucial detail did not directly contribute to the current design, but it was necessary to understand the state of the art, then go on with the suitable design. 


\subsection{Hardware Lab}
The hardware lab at the department of real time systems is well equipped to support a skilled lab engineer in populating a PCB (Printed circuit board). However, in order to build a system with uncertainty of its functionalities as a computer science student, breadboards, along with bolts and studs and so on are more useful. Therefore the boxing of the device and even wires were built from scratch, consuming more time. As a side effect the device is ergonomically unappealing.
\subsection{Servos}
Another challenge was to learn, what types and what qualities of motors / servos have enough accuracy for our application. It was not obvious from the beginning that the chosen servo motors will suffice to have a stable sense of locality for the panel. So different technologies of motors were studied and their accuracy was looked up via communities and amateur projects.

For a long time, the servo motors had a Stabilization problem. As it has been described here, \cite{stackexchangeServos} the problem was that when both servo-motors were connected to the servo-driver, they started seizure-like and shaky moves for tens of seconds, before they were steady and followed orders. This problem did not happen when only one servo motor was connected to the driver. This turned out to be due to a weak household AC-DC adaptor. By using a higher quality of adaptors, this problem was solved.
\chapter{Experiments}

\section{Test}
Overall, testing the performance of such a system can happen in many different configurations. For some reasons that follow, we did not evaluate the performance of the MPPT. However, we ran a certain repeatable test set in the lab to test the effects of the solar tracking module.
Testing the improvement of the MPPT needs a base performance to compare with. Since we did not run a test under the conditions in the wild, during the different temperatures, irridations, weathers, etc. we do not have an evaluation of the `typical` condition of the panels in the wild and the average best constant load for our geographic location. Therefore no meaningful tests on MPPT can be run.
\subsection{Solar Tracking performance}
Our testing mainly took place under the solar emulator. Our tests and evaluation did not take place under sun for the following reasons. In order to test the improvement of a dual-axis solar tracking solution, we want to run repeatable experiments. At the same time, we did not have two different instances of the MPPT system, and we did not happen to have two solar cells of exactly the same performance. So running the tests simultaneously under the sun for stationary and dual-axis tracker was not possible for us. It is not also accurate to run the tracking system one day and the stationary system the next day for comparison. Because the irradiation is never exactly the same. Moreover, the location of a solar panel w.r.t shades and hours of sun is under dispute. The effect of the dual-axis system is less when buildings are around and sun sets earlier behind them. It is difficult to find the best location that the tracking system can express itself. Most importantly, all dual-axis systems in the literature evaluate their own performance throughout the year. When running short term tests (maybe up to one month), one-axis and dual axis systems do not have a considerable difference, mainly because the altitude angle of a one-axis tracker will be configured optimally for the season, and the second axis is not needed on a day to day basis. And running a one year test is not possible within the scope of this project.

The performed test includes the stationary vs solar tracking performance comparison. On both configurations, the solar emulator is slowly moved on a circle around the panel in a way that the 180 degrees of test, takes 19 minutes. The radius of such circle is 20cm from the rotation circle of the panel itself, or about 24cm from the center of the circle. Since the effect of the MPPT has to be removed from this particular test, we chose the constant load value of 40 \begin{math}\Omega\end{math}, and measured and compared the voltages.The emulator was moved every one minute to the next station on the circle. The setting of the test can be seen in figure \ref{fig:test}.


\begin{figure}
  	\centering
	\includegraphics[height=10cm]{./images/test}
  	\caption{Setting of the test}
	\label{fig:test}
\end{figure}
As it is not difficult to see in the figure \ref{fig:test-result}, the performance of the panel in this particular test had improved 273 \% by applying solar tracking. By connecting datapoints, we estimate the area under the curve, with around one second as the interval of integration on the average. Since the tests each take 19 minutes, this measurement should be accurate enough. 

In more detail, the area under the curve for tracking was: 
\begin{math}4507 V.Sec\end{math}
, and for the stationary: \begin{math}2270V.Sec\end{math}. But this does not exactly express the improvement of production of energy. To get that, we need to calculate the integral of short values of 
\begin{center}
\begin{math}
\Delta T * V^2 / R
\end{math}
\end{center}

in which R would be 40 \begin{math}\Omega\end{math}. For the stationary setting, overal produced energy in 19 minutes is 172J while on the stationary setting, the overal produced energy is 470J. This immense gap can be explained in a couple of reasons. We assumed the working time of a panel to be 180 degrees. But in reality, panels run less than 12 hours of the day, or actually less than 6 hours in USA.\cite{wholesalesolarSolarhours}

It is arguable that in the wild, irridation of afternoon / evening and morning, are less than the irridation of noon, and improvement outdoors would not be as much. Another factor could be that cloudy weather reduces the effectiveness of the tracking system. Indeed this improvement is more than the previous work have already achieved, and it is explainable partially because of this factor.

\begin{figure}
  	\centering
	\includegraphics[height=7cm]{./images/test-result}
  	\caption{Result of the test}
	\label{fig:test-result}
\end{figure}

\section{Analysis}

There was considerable effort to build the device as sturdy and reliable as possible, and that is very well achieved. However, as stated in the challenges section, the quality of the wirings in the device and the housing in general, are questionable. Unlike \cite{dualaxis2016barsoum} commercial software like Proteus or AutoCAD are not used for designing the box. Since this device is a prototype, made only for theoretical purposes, it would not survive a rainy day, and it is not easily transportable.  On the other hand, the concept and approach that our system represents, does not use any sensors. Compared to any system that is dependent on extra sensors, our build enjoys more simplicity in physical design.

Our Solar and MPP Tracking algorithm were triggered by changes i.e. increase or decrease in output voltage. We did not consider a case where the surrounding environment of the device changes while the output voltage remains untouched. Such a scenario is possible when the irradiance of the sun has increased, and the MPP has changed, but the voltage at our current working condition remains the same. In such a condition we miss our chance to improve quickly.

A solution to this problem can be periodic triggering of the MPP and Solar Tracking. It can presumably solve the problem, but such a case as describe above, does not seem often enough to justify a periodic monitoring regardless of change. In the end, there should be comparison of the two approaches that we did not run.

Unlike \cite{dualaxis2016barsoum} and \cite{4150446} our system is aware of its spherical coordinates. That alone introduces possibilities of algorithmic improvements, over such systems that are driven directly by sensor response. As we will discuss in the future works section, it is possible to build real time models of where the highest radiation can be absorbed, and directly go to them. It is possible for the panel to ‘learn’ the patterns as well. 


After running the system for a long time it is safe to say that we always find the optimum load with 0.1 \begin{math}\Omega\end{math} precision, assuming that the irridation conditions is the same as the time that the offset resistor is configured. The solar tracker finds optimum direction within the 5 degrees. The initial searching algorithm takes under 30 seconds and the following tests where the search is supposed to be more local is guaranteed to take less than 10 seconds.

An advantage of not employing sensors and using the electricity output of the system is that testing the system does not need extra circuitry or significant software modification. We already measure the power performance in our tracking algorithm, now we only need to document it.

We didn’t charge the motors and Arduino with the solar cell and the energy itself. So if this system is to be implemented for an end user, lots of modifications has to happen. It is better to increase the cell size and find a very smaller and compact processor.

Since we tried to use affordable and simple electronic options to implement the potentiometer, we faced a challenge that still remains. The issue stems from the equivalence formula of two parallel resistors. When one Resistor is constant while the other one is changing linearly, the resulting resistance does not change linearly. But as the figure \ref{fig:resistance-problem} depicts, most of the equivalent values are concentrated towards the higher end of the spectrum.  The rate of change is higher at the lower values, and slower for higher values. As a result, most of the sample points in this diagram (40 samples) have a value between 88 and 110. This problem could improve in the lab, if there is an abundance of digital potentiometers. In real use cases, we don’t need an extra load using resistors and potentiometers. When requirements are known and final optimizations are carried into design, using a DC-DC converter would delete the problem. 

\begin{figure}
  	\centering
	\includegraphics[height=8cm]{./images/resistance-problem}
  	\caption{Column diagram, depicting an example of distribution of equivalent resistance values throughout the resistance range. X axis is the resistance in Ohm. Y axis is the number of equivalent resistance values in that range.}
	\label{fig:resistance-problem}
\end{figure}
\chapter{Conclusion}
We proved that an operational dual-axis solar tracker with no light sensors is possible. We have built an accurate and sensitive, yet stable tracking algorithm, and the performance of any solar tracking algorithm can only improve in the future, possibly using the ideas presented here.

Right now the search algorithm is following a hill climbing approach. It is possible to fit an imaginary plane to the first handful of tested points. Such a plane would be built to predict the power output of each given direction. Such a plane turns more accurate as more sample points become available. The plane can be built by a derivative function. This is because the nature of the real function, the radiation amount follows a derivative pattern. If there are not considerable light reflections around the panel, we expect the function to resemble a simple curve, possibly a dome shape.
Possibly a performing a gradient descend algorithm on the fitting plane will have a quicker and better convergence. By building a model that is fitting to the actual plane of the radiation, we can probably compute a derivative that is close to the real plane. 

If the MPPT is tested on a real solar charger circuitry and the modules themselves are charged via a battery, then the real gain of such a system could be evaluated. In that way, the granularity problem of the load that was explained before will be also solved. This is because of the fact that possible stations for the load to be at, are evenly distributed in modern converters.
Afterwards, only in the case of stationary panels, it is possible to simply use the previously built model or array of models (per hour?) for future hours or days. Shift it, and predict where the sun is going to be.

There are better MPPT algorithms available like the Incremental conductance that would be beneficial to integrate in the system.


\begin{appendix}

\chapter{Resistance offset determination data points}
\label{appendix:calibration}
The following table mentions the exact result when testing to determine the load range.
\begin{table}[H]
\begin{center}
\begin{tabular}{| c | l | l | l| l|} 
\hline
		Setting & Resistance \begin{math}\Omega\end{math} & Voltage & I (mA) & P(w) \\
\hline
\hline
	\multirow{4}{*}{\parbox{5cm}{\centering Behind the clouds: 6-7-2017 3:10pm at 48.148’N, 11.567’E}}  & 240 & 5.24 & 21.833333 & 0.114407 \\

		& 227 & 4.9 & 21.585903 & 0.105771 \\

		& 202 & 4.99 & 24.70297 & 0.123268 \\

		& 65 & 2.24 & 34.461538 & 0.077194 \\
\hline
	\multirow{8}{*}{\parbox{5cm}{\centering behind the clouds: 6-7-2017 3:10pm at 48.148’N, 11.567’E}} &242	&5.74	&23.719008	&0.136147\\
		&136	&5.57	&40.955882	&0.228124\\

		&227	&5.5	&24.229075	&0.13326\\

		&202	&5.62	&27.821782	&0.156358\\

		&232	&5.52	&23.793103	&0.131338\\

		&80		&5.37	&67.125		&0.360461\\

		&85		&5.38	&63.294118	&0.340522\\

		&70		&5.39	&77			&0.41503\\
\hline
\multirow{4}{*}{\parbox{5cm}{\centering In the room. ~15cm distance from the solar emulator}}	&40	&2.04	&51	&0.10404\\
		&35		&1.8	&51.428571	&0.092571\\

		&60		&3.04	&50.666667	&0.154027\\

		&141	&5.2	&36.879433	&0.191773\\

		&242	&5.44	&22.479339	&0.122288\\

\hline
\end{tabular}
\caption{\label{tab:load-range}Data Points from the load range setting tests}
\end{center}
\end{table}

\chapter{Item List}
\label{appendix:itemlist}
In addition to the tools and items used in the hardware laboratory at the chair of RCS, the follwing items were specifically bought for this project.
\begin{table}[H]
 \begin{center}
  \begin{tabular}{|p{3cm}|l|l|p{8cm}|}
\hline
Name &Num	&Price (\euro)	&URL\\
\hline
\hline
	 AD5160 digital potentiometer	&2	&0.96 &
http://www.analog.com/en/products/digital\newline
-to-analog-converters/digital-potentiometers\newline
/ad5160.html\#product-overview \\
\hline
Adapter SOT23-8 0,65 mm Pitch RM 2,54 mm	&2	&1,65	&
https://www.reichelt.de/?ARTICLE=167708\newline
\&PROVID=2788\&wt\_mc=amc14152678251\newline
9998\&gclid=CjwKEAiAyanCBRDkiO6M\_r\newline
DroH0SJAAfZ4KLC\_K6rC9mmyI\_PYLZmy\newline
9ujEBPicVi6g9yew2UzZQqSBoCtifw\_wcB\\
\hline
Zimo® 5 V 1.2 W 240mA Mini Solar Panel	&2	&3.78	&
https://www.amazon.de/Zimo\%C2\%AE-La\newline
deger\%C3\%A4t-Solarmodul-Solarzelle-Auf\newline
ladung/dp/B01FE0WDCS/ref=sr\_1\_9?ie=\newline
UTF8\&qid=1504094219\&sr=8-9\&keywords\newline
=solar+cell\\
\hline
Arduino Uno	&1	&20	&
http://www.exp-tech.de/arduino-uno-r3gcl\newline
id=Cj0KEQiA6\_TBBRDInaPjhcelt5oBEiQ\newline
ApPeTF\_oFjh1uhZEdYhe8ht7JTvKP4G2us\newline
TYgKlYvRQXHC2UaAoBD8P8HAQ\\
\hline
16 Channel 12 Bit PMW Servo Driver	&1	&11.99	&
https://www.amazon.de/SunFounder-PCA9\newline
685-Channel-Arduino-Raspberry/dp/B014\newline
KTSMLA/ref=pd\_sim\_147\_1?\_encoding\newline
=UTF8\&psc=1\&refRID=Z76P3G9JDPYY\newline
GGCSPQ2P\\
\hline
PT Pan/Tilt Two axis platform Servo bracket	&1	&5.75	&
https://www.amazon.de/Tilt-platform-Ser\newline
vo-bracket-vibration/dp/B01IR6I1G8/ref=\newline
pd\_sim\_21\_3?\_encoding=UTF8\&psc=1\&\newline
refRID=T6H49XGDEEWK7Z2PQCYW\\
\hline
Micro Gear Servos SG90	&1x4	&11.99	&
https://www.amazon.de/Packung-GSS-Ser\newline
vos-Hubschrauber-Flugzeug/dp/B01EH4\newline
JEYW/ref=pd\_bxgy\_147\_img\_2?\_encod\newline
ing=UTF8\&psc=1\&refRID=EA30NWD41V\newline
108D8
8CJ3V\\
\hline
USB Charger 	&1	&6.97	&
https://www.amazon.de/Original-Ladead\newline
apter-ETA-U90EBE-Ladekabel-Datenkabe\newline
l/dp/B00SN6UTZE/ref=sr\_1\_2?s=compute\newline
rs\&ie=UTF8\&qid=1504094653\&sr=1-2\&ke\newline
ywords=samsung+charger\\
\hline
5 Ohm 10 W Ceramic Cement Resistor	&2x5	&5.81	&
https://www.amazon.de/Sourcingmap-a11\newline
111600ux0197-Widerstand-Mehrfarbig-5-teil\newline
ig/dp/B0087YHZC2/ref=sr\_1\_1?ie=UTF8\newline
\&qid=1504098256\&sr=8-1\&keywords=cera\newline
mic+resistor+5+ohm\\
\hline
 
  \end{tabular}
  \caption{\label{tab:device-items}Items used in the device}
 \end{center}
\end{table}


Other items used in the project, but not in the device:
\begin{table}[H]
 \begin{center}
  \begin{tabular}{|p{3cm}|l|l|p{8cm}|}
\hline
Name&Num&Price (\euro) &	URL\\
\hline\hline
PopularGrow 60*5W LED Grow Light	&1	&50
&http://www.ebay.com/itm/PopularGrow-60-5W-LED-Grow-Light-Full-Spectrum-300W-For-Indoor-Plant-Veg-Bloom-/391497013535\\
\hline
  \end{tabular}
  \caption{\label{tab:project-items}Items used in the project}
 \end{center}
\end{table}
\end{appendix}
%        
%			
%        Links & Rechts \\
%        \hline
%        \hline



%----------------------------------------------------------------------------------------------------------------------------------------------------------------------.
%----------------------------------------------------------------------------------------------------------------------------------------------------------------------.
%Stattdessen folgt eine GANZ KURZE Einführung in \LaTeX.


% --------------------------------------------------------------------
% Hier beginnt der eigentliche Text
% --------------------------------------------------------------------
% Die Identifikation wesentlicher eigener Beiträge muß schon im
% Inhaltsverzeichnis möglich sein.
\iffalse
\include{standderforschung}
\include{meinearbeit}
\include{meineergebnisse}
\include{fazit}

\chapter{Kapitel}
\label{chap:Kapitel}
\section{Abschnitt}
\label{sec:Abschnitt}
\subsection{Unterabschnitt}
\label{sub:Unterabschnitt}
\paragraph{Paragraph}
\label{par:Paragraph}
\iffalse
Man kann hier auch einfach \index{Text} schreiben. Die pdf--Thumbnails
werden automatisch erzeugt.

Allerdings sind mehrfache Aufrufe nötig, um die Referenzen (Kapitel
\ref{chap:Kapitel}) und den Index (\textit{makeindex diss} ist auch nötig)
richtig hinzukriegen. Das Skript \qq{texaux} kümmert sich darum.
\fi


\section{Überblick}

\TeX ~ ist ein einfaches System, mit dem man sehr schnell gute und optisch
schöne Texte erstellen kann. Ersteres ist hauptsächlich die Arbeit
des Autors, während die Optik zum größten Teil von \TeX\ gemacht wird.

Alle \LaTeX -Kommandos beginnen mit einem ``$\backslash$''.  Welche
Kommandos es gibt, kann man z.B. in {\em \LaTeX ~ eine Einf"uhrung}
von Helmut Kopka (\cite{kopkaEinf:92}) oder in \cite{kopkaErw:92} nachlesen.

\section{Drucken}

Damit man drucken kann, müssen die \LaTeX -Quellen übersetzt
werden. Dazu gibt man einfach {\tt make pdf} oder {\tt make ps}
an. Ist das {\tt Makefile} richtig, sollte alles andere nun
automatisch ablaufen. Drucken kann man nun aus {\tt acroread} (für
PDF-Dokumente) oder mit {\tt lpr diplomarbeit.ps}. Um Papier zu
sparen, empfiehlt es sich für Probeausdrucke, zwei Seiten auf eine zu
drucken: {\tt psnup -2 diplomarbeit.ps | lpr}.

\section{Grafiken}

Die Einbindung von Grafiken ist auch nicht schwer. Dabei muß man
unterscheiden, ob man {\tt pdflatex} oder {\tt latex} verwendet. Bei
{\tt latex} ist der Fall klar -- Grafiken sollten hier generell als
EPS (Encapsulated Postscript) vorliegen. {\tt pdflatex} dagegen kann
direkt PDF, JPEG, PNG (portable network grafics) und TIFF
einbinden. Man sollte die Dateiendung in den \LaTeX -Quellen {\bf
  nicht} angeben, dann werden die richtigen Formate automatisch
gesucht. Ist das {\tt Makefile} korrekt, werden eventuell notwendige
Konvertierungen automatisch ausgeführt. In jedem Fall sollte man sich
vorher noch
\url{http://www.rcs.ei.tum.de/intranet-public/informationen/eps_HOWTO.html}
und
\url{http://www.rcs.ei.tum.de/intranet-public/dokumentationen/pdflatex.html}
durchlesen. Zum Zeichnen der Bilder selber nutzt man z.~B. {\tt xfig}.


Hierzu \footnote{test} wurde das Makro-Paket {\tt graphicx.sty} verwendet.

\section{Tabellen}

Werden Tabellen länger als eine Seite muss man z.~B.\ das {\tt
longtable} Paket verwenden. Sonst gehts wie folgt:

\iffalse
\begin{table}[!ht]
 \begin{center}
  \begin{tabular}{|l|r|}
        \hline
        Links & Rechts \\
        \hline
        \hline
        Eintrag 1 & Eintrag 2 \\
        \hline
  \end{tabular}
  \caption{\label{tab:minitabelle}Eine Minitabelle}
 \end{center}
\end{table}
\fi

\section{Mathematische Formeln}

Mathematische Formeln können mit \LaTeX ~ ohne großen Aufwand
aufs Papier gebracht werden.

Hierzu genügen schon ein paar \LaTeX -Befehle:

\begin{center}
  \begin{math}
    \sqrt{\frac{\int_1^2 \vec a d\vec a}{\pi \sqrt{x}}}
  \end{math}
\end{center}

etwa entsteht durch \verb#\sqrt{\frac{\int_1^2 \vec a d\vec a}{\pi \sqrt{x}}}#.
Keine Angst. Das schaut zwar aus wie chinesisch, ist aber ganz einfach,
wenn man sich ein bischen eingearbeitet hat. Es gibt auch noch eine
Kurzschreibweise für den Mathe-Modus, diese schließt die Formeln in
\$-Zeichen ein.

\section{Das Literaturverzeichnis}

Mit Hilfe des Zusatztools {\tt BiBTeX} ist die Verwaltung von
Literatur-Verweisen recht einfach.  Hier ein kleines Beispiel, welches
einen Verweis auf \cite{kopkaEinf:92} verwendet. Einfach mal in {\tt
literatur.bib} schauen.

\section{Indizes}

Um ein Stichwortregister zu erstellen gibt es die Kommandos
\index{index} \verb#\index{}# und \verb#\makeindex#.  \index{makeindex}
\verb#\makeindex# kommt an den Anfang des \LaTeX -Dokuments und bewirkt,
daß die \verb#\index{}# Befehle nicht ignoriert, sondern zur Erstellung
einer Index-Datei verwendet werden.

Diese Indexdatei kann nun mit {\tt makeindex} weiterverarbeitet werden.
{\tt makeindex} ist ein Tool, das die von \LaTeX ~ erzeugte *.idx Datei
zu einer richtigen Index-Datei weiterverarbeitet, so daß die dann mit
\LaTeX ~ wieder gesetzt werden kann.
\fi
% --------------------------------------------------------------------
% Anhang
% --------------------------------------------------------------------
%\clearpage
%\begin{appendix}

%\include{appendix}

%\chapter{Quelltexte}
%\label{appendix:calibration}
%Quelltexte im Anhang \dots
%\ref{fig:demo}

%\chapter{Schaltpläne}
%
%Diese könnte man auch nur beilegen.
%\end{appendix}

% --------------------------------------------------------------------
% Index
% --------------------------------------------------------------------
%\clearpage
%\printindex

% --------------------------------------------------------------------
% Literaturverzeichnis
% --------------------------------------------------------------------
% Nicht direkt referenzierte, aber benutzte Literatur
%\nocite{wasauchimmer}
%
%\clearpage
%\bibliographystyle{geralpha}
\bibliographystyle{gerplain}
\bibliography{bib/literatur} % welche bib-Dateien

% --------------------------------------------------------------------
% Dokument-Ende
% --------------------------------------------------------------------
\end{document}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
